Subject: bug#62707: 30.0.50; [PATCH] Non toolkit scroll bar handle

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Apr 2023 13:34:22 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 07 Apr 2023 09:55:21 +0200
> 
> > Fix it in what way? what is wrong with what we have now?
> 
> When I'm scrolling a file (with 'C-v'/'M-v' for example), the handle of
> the vertical scroll bar has its height that keeps changing even though
> the same amount of text is showed (there is no long line breaking
> involved).  I think it is distracting and weird but I may be missing
> something.

Maybe it's distracting at times, but this is how Emacs behaves with
all the toolkits, or at least most of them.  The size of the
scroll-bar thumb is set according to the size of text, not according
to the number of lines.  So I don't think we should change this for
just one configuration.